## gnome-print-paper-selector gnome-print-paper-selector |

## Functions

#define | GNOME_TYPE_PAPER_SELECTOR
#define | GNOME_PAPER_SELECTOR()
#define | GNOME_PAPER_SELECTOR_CLASS()
#define | GNOME_IS_PAPER_SELECTOR()
#define | GNOME_IS_PAPER_SELECTOR_CLASS()
#define | GNOME_PAPER_SELECTOR_GET_CLASS()
#define | GNOME_TYPE_PRINT_UNIT_SELECTOR
#define | GNOME_PRINT_UNIT_SELECTOR()
#define | GNOME_PRINT_UNIT_SELECTOR_CLASS()
#define | GNOME_IS_PRINT_UNIT_SELECTOR()
#define | GNOME_IS_PRINT_UNIT_SELECTOR_CLASS()
#define | GNOME_PRINT_UNIT_SELECTOR_GET_CLASS()
GtkWidget * | gnome_paper_preview_new ()
GType | gnome_paper_selector_get_type ()
GtkWidget * | gnome_paper_selector_new ()
GtkWidget * | gnome_paper_selector_new_with_flags ()
GType | gnome_print_unit_selector_get_type ()
GtkWidget * | gnome_print_unit_selector_new ()
const GnomePrintUnit * | gnome_print_unit_selector_get_unit ()
void | gnome_print_unit_selector_set_bases ()
void | gnome_print_unit_selector_set_unit ()
void | gnome_print_unit_selector_add_adjustment ()
void | gnome_print_unit_selector_remove_adjustment ()

## Properties

GnomePrintConfig * | config | Read / Write
gdouble | height | Read
gdouble | width | Read

## Signals

void | modified | Run First

## Types and Values

struct | GnomePaperPreview
| GnomePaperPreviewClass
| GnomePaperSelector
| GnomePaperSelectorClass
| GnomePrintUnitSelector
| GnomePrintUnitSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ├── GnomePaperSelector
                                ╰── GnomePrintUnitSelector

## Implemented Interfaces

GnomePaperSelector implements AtkImplementorIface, GtkBuildable and GtkOrientable.

GnomePrintUnitSelector implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### GNOME_TYPE_PAPER_SELECTOR

    #define GNOME_TYPE_PAPER_SELECTOR         (gnome_paper_selector_get_type ())

### GNOME_PAPER_SELECTOR()

    #define GNOME_PAPER_SELECTOR(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelector))

### GNOME_PAPER_SELECTOR_CLASS()

    #define GNOME_PAPER_SELECTOR_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelectorClass))

### GNOME_IS_PAPER_SELECTOR()

    #define GNOME_IS_PAPER_SELECTOR(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PAPER_SELECTOR))

### GNOME_IS_PAPER_SELECTOR_CLASS()

    #define GNOME_IS_PAPER_SELECTOR_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_PAPER_SELECTOR))

### GNOME_PAPER_SELECTOR_GET_CLASS()

    #define GNOME_PAPER_SELECTOR_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_PAPER_SELECTOR, GnomePaperSelectorClass))

### GNOME_TYPE_PRINT_UNIT_SELECTOR

    #define GNOME_TYPE_PRINT_UNIT_SELECTOR         (gnome_print_unit_selector_get_type ())

### GNOME_PRINT_UNIT_SELECTOR()

    #define GNOME_PRINT_UNIT_SELECTOR(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelector))

### GNOME_PRINT_UNIT_SELECTOR_CLASS()

    #define GNOME_PRINT_UNIT_SELECTOR_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST ((k),    GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelectorClass))

### GNOME_IS_PRINT_UNIT_SELECTOR()

    #define GNOME_IS_PRINT_UNIT_SELECTOR(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PRINT_UNIT_SELECTOR))

### GNOME_IS_PRINT_UNIT_SELECTOR_CLASS()

    #define GNOME_IS_PRINT_UNIT_SELECTOR_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k),    GNOME_TYPE_PRINT_UNIT_SELECTOR))

### GNOME_PRINT_UNIT_SELECTOR_GET_CLASS()

    #define GNOME_PRINT_UNIT_SELECTOR_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o),  GNOME_TYPE_PRINT_UNIT_SELECTOR, GnomePrintUnitSelectorClass))

### gnome_paper_preview_new ()

    GtkWidget *
    gnome_paper_preview_new (GnomePrintConfig *config);

### gnome_paper_selector_get_type ()

    GType
    gnome_paper_selector_get_type (void);

### gnome_paper_selector_new ()

    GtkWidget *
    gnome_paper_selector_new (GnomePrintConfig *config);

### gnome_paper_selector_new_with_flags ()

    GtkWidget *
    gnome_paper_selector_new_with_flags (GnomePrintConfig *config,
                                         gint flags);

### gnome_print_unit_selector_get_type ()

    GType
    gnome_print_unit_selector_get_type (void);

### gnome_print_unit_selector_new ()

    GtkWidget *
    gnome_print_unit_selector_new (guint bases);

### gnome_print_unit_selector_get_unit ()

    const GnomePrintUnit *
    gnome_print_unit_selector_get_unit (GnomePrintUnitSelector *selector);

### gnome_print_unit_selector_set_bases ()

    void
    gnome_print_unit_selector_set_bases (GnomePrintUnitSelector *selector,
                                         guint bases);

### gnome_print_unit_selector_set_unit ()

    void
    gnome_print_unit_selector_set_unit (GnomePrintUnitSelector *selector,
                                        const GnomePrintUnit *unit);

### gnome_print_unit_selector_add_adjustment ()

    void
    gnome_print_unit_selector_add_adjustment
                                   (GnomePrintUnitSelector *selector,
                                    GtkAdjustment *adjustment);

### gnome_print_unit_selector_remove_adjustment ()

    void
    gnome_print_unit_selector_remove_adjustment
                                   (GnomePrintUnitSelector *selector,
                                    GtkAdjustment *adjustment);

## Types and Values

### struct GnomePaperPreview

    struct GnomePaperPreview {
    	GtkHBox box;

    	GtkWidget *canvas;

    	GnomeCanvasItem *item;

    	GnomePrintConfig *config;
    };

### GnomePaperPreviewClass

    typedef struct _GnomePaperPreviewClass GnomePaperPreviewClass;

### GnomePaperSelector

    typedef struct _GnomePaperSelector GnomePaperSelector;

### GnomePaperSelectorClass

    typedef struct _GnomePaperSelectorClass GnomePaperSelectorClass;

### GnomePrintUnitSelector

    typedef struct _GnomePrintUnitSelector GnomePrintUnitSelector;

### GnomePrintUnitSelectorClass

    typedef struct _GnomePrintUnitSelectorClass GnomePrintUnitSelectorClass;

## Property Details

### The `“config”` property

      “config”                   GnomePrintConfig *

Configuration.

Flags: Read / Write

### The `“height”` property

      “height”                   gdouble

Height.

Flags: Read

Allowed values: >= 1

Default value: 841.89

### The `“width”` property

      “width”                    gdouble

Width.

Flags: Read

Allowed values: >= 1

Default value: 595.276

## Signal Details

### The `“modified”` signal

    void
    user_function (GnomePrintUnitSelector *printunitselector,
                   gpointer                user_data)

#### Parameters

printunitselector | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First